<?

 /*************************************************************************************
 * Filename: backend.php
 *
 * This file is part of the skeleton JAS plugin.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The skeleton JAS plugin is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/skeleton/
 *************************************************************************************/


 class Plugin_Backend_skeleton extends Base_Plugin_Backend
 {
  /*
   * Main
   *
   * All non displaying backend logic that needs to be performed before the output is generated
   */

  function main()
  {
   //logic
   $this->e->add("Main backend logic successfully executed", "note");

   if($this->e->any("fatal"))
    return false; //output function skipped and errors are displayed

   return true; //output function is called
  }


  /*
   * Output
   *
   * All backend displaying logic for gathering and displaying information
   */

  function output()
  {
   //gather output data...

   if($this->e->any("fatal"))
    return false; //errors are displayed

   //render output
   $output=$this->plugin->l->t("Skeleton backend output");

   return $output; //display output
  }


 }
?>
